Jump to content
nkey

Task Force Arrowhead Radio

Recommended Posts

how do I equip buzzards with Bluefor radios?

Check http://radio.task-force.ru/en/ under information

To force vehicle side: _vehicle setVariable ["tf_side", _value, true]. Possible values: "west", "east", `"guer".

e.g. (if putting in the vehicle init)

this setVariable ["tf_side", west, true]; (not sure if you need "" around the side value)

Share this post


Link to post
Share on other sites

Can someone please clarify the use of:

tf_same_sw_frequencies_for_side = true;

The way I read it this will make all my squads have same frequencies but but force same channel is that right?

The reason I ask is I ran a mission that had that in the init but my 'Alpha' squad and 'Delta' squad had an issue that if one squad tried to use a different channel like No.2 it forced the other squad radios to change to channel 2 as well. Just checking before I start digging through my mission to find a cause.

Thanks.

Share this post


Link to post
Share on other sites

Sounds like they might have been sharing the same radio ID, the tf_same_sw_frequencies_for_side shouldn't cause active channel to be shared as well. Simply the frequency at mission start.

Share this post


Link to post
Share on other sites
Sounds like they might have been sharing the same radio ID, the tf_same_sw_frequencies_for_side shouldn't cause active channel to be shared as well. Simply the frequency at mission start.

we need to check - maybe some problem with array pointers...

Share this post


Link to post
Share on other sites
Check http://radio.task-force.ru/en/ under information

To force vehicle side: _vehicle setVariable ["tf_side", _value, true]. Possible values: "west", "east", `"guer".

e.g. (if putting in the vehicle init)

this setVariable ["tf_side", west, true]; (not sure if you need "" around the side value)

If this was easily found on the website...I feel stupid now.

Thanks a lot anyway!!

Share this post


Link to post
Share on other sites

hi is there a ways to set the default radio volume e.g. from 80 to 50, so that we don't have to turn it down everytime?

Share this post


Link to post
Share on other sites

NKey is it possible to use camera position for local sound 3d positioning instead of the player character position (with positionCameraToWorld [0,0,0] ) ?

This would make the free camera, spectator and other script using cameras to be more enjoyable because you will be able to hear what people are localy saying when moving your camera close to them (like the BIS VOIP).

Share this post


Link to post
Share on other sites
hi is there a ways to set the default radio volume e.g. from 80 to 50, so that we don't have to turn it down everytime?

Not yet... Will think about it.

---------- Post added at 17:12 ---------- Previous post was at 17:11 ----------

NKey is it possible to use camera position for local sound 3d positioning instead of the player character position (with positionCameraToWorld [0,0,0] ) ?

This would make the free camera, spectator and other script using cameras to be more enjoyable because you will be able to hear what people are localy saying when moving your camera close to them (like the BIS VOIP).

Not possible for now, will add special flag later.

Share this post


Link to post
Share on other sites
hi is there a ways to set the default radio volume e.g. from 80 to 50, so that we don't have to turn it down everytime?

As it seems things are pretty "subjective" here.

i.e. For me always the 1st move is to raise it from 80 to 100.

Conclusion..it will be a mess..

Share this post


Link to post
Share on other sites
As it seems things are pretty "subjective" here.

i.e. For me always the 1st move is to raise it from 80 to 100.

Conclusion..it will be a mess..

/sign

Share this post


Link to post
Share on other sites

Dont know if anyone else is getting this error, but in TS when I go to activate the plugin, it shows up red and in the description it says 'Plugin failed to load: Api version is not compatible'. This only happened recently, I think just after a teamspeak update. could this be server side?

Share this post


Link to post
Share on other sites

You will need to ensure that you have the correct plugin version for your TS client. Included in the latest 0.8.3 download is plugins for both the previous version as well as the latest version of TS.

Share this post


Link to post
Share on other sites

I'm new to TFR. Like someone said above, The new TS update is messing with the plugin. I have the new version of TFR and it still gives me the API error.

Edited by Keegan

Share this post


Link to post
Share on other sites
I'm new to TFR. Like someone said above, The new TS update is messing with the plugin. I have the new version of TFR and it still gives me the API error.

Maybe it is because PWS or Arma3Sync.. Try to redownload mod, put plugins manually and start TS without any launcher.

Share this post


Link to post
Share on other sites

make sure you download it directly from the TFA website. NOT armaholic.

Share this post


Link to post
Share on other sites

I've literally tried everything right now and I still get this API error. No idea what is going on. If someone could pm me an easy solution/step by step I'd greatly appreciate it. So far I have tried everything you fella's have suggested and still no joy.

Edited by Keegan

Share this post


Link to post
Share on other sites
make sure you download it directly from the TFA website. NOT armaholic.

The Armaholic mirror should be up to date. :)

Share this post


Link to post
Share on other sites

This mood is excellent. Did have a suggestion. Any chance of getting speakers placed on vehicles that you could activate through a radio?

Share this post


Link to post
Share on other sites

Nkey, any update what we can expect in the new version?

I will not ask when... because the answer is "when is doneTM"

Share this post


Link to post
Share on other sites
Maybe it is because PWS or Arma3Sync..

Arma3sync isn't a problem as long as the repository has the correct version of the mod ;)

I'm sure it's an issue with the player install (using the wrong dll).

Share this post


Link to post
Share on other sites
Nkey, any update what we can expect in the new version?

I won't speak for NKey but there's still a couple open issues that once resolved will most likely result in the new version being released or at least released for testing. We're all pretty keen to get the next version out but obviously we do not have a time frame for when that will happen.

Share this post


Link to post
Share on other sites
This mood is excellent. Did have a suggestion. Any chance of getting speakers placed on vehicles that you could activate through a radio?

Planned for far future :)

---------- Post added at 18:05 ---------- Previous post was at 17:59 ----------

Nkey, any update what we can expect in the new version?

I will not ask when... because the answer is "when is doneTM"

We are working on it. There are a lot of small changes players will not sight, but I hope you will like terrain intersection for radio + 12 different radios + editor modules + backpack models (if someone can help with landing points for it - you are welcom :) ) + a lot of stuff.

---------- Post added at 18:07 ---------- Previous post was at 18:05 ----------

I've literally tried everything right now and I still get this API error. No idea what is going on. If someone could pm me an easy solution/step by step I'd greatly appreciate it. So far I have tried everything you fella's have suggested and still no joy.

Hm... Have you tried to update your TS (make sure you updated both 32 and 62 versions if they are present) and recopy plugins then?

Share this post


Link to post
Share on other sites
Planned for far future :)

That is excellent news. And I meant MOD. We use it a lot and have not had any issues with it that were not of our own creating (VAS duplicating ID's).

There have simply been several instances where an "intercom" system or even just speakers would be desperately needed from vehicle to infantry since going through the CoC would have taken far too long.

Share this post


Link to post
Share on other sites

Please can tf_no_auto_long_range_radio = true by default? It appears to be messing with unit loadouts on every mission that doesn't have this in init and it's rather bothersome having to retro edit all of them.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×